<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:satisgroup="http://satisgroupsa.pl/xbrl/2023" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" targetNamespace="http://satisgroupsa.pl/xbrl/2023" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" namespace="http://www.xbrl.org/dtr/type/2020-01-21" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="satisgroup-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="satisgroup-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="satisgroup-2023-12-31_lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="satisgroup-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="satisgroup-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-pl.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-pl.xml" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="WynikFinansowy" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/WynikFinansowy">
        <link:definition>01 - Wynik finansowy</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SprawozdanieZCalkowitychDochodow" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/SprawozdanieZCalkowitychDochodow">
        <link:definition>02 - Sprawozdanie z całkowitych dochodów</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SprawozdanieZCalkowitychDochodow1" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/SprawozdanieZCalkowitychDochodow1">
        <link:definition>03 - Sprawozdanie z całkowitych dochodów_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="WynikFinansowy1" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/WynikFinansowy1">
        <link:definition>04 - Wynik finansowy_1</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SprawozdanieZSytuacjiFinansowej" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/SprawozdanieZSytuacjiFinansowej">
        <link:definition>05 - Sprawozdanie z sytuacji finansowej</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SprawozdanieZPrzeplywowPienieznych" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/SprawozdanieZPrzeplywowPienieznych">
        <link:definition>06 - Sprawozdanie z przepływów pieniężnych</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SprawozdanieZeZmianWKapitaleWlasnym" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/SprawozdanieZeZmianWKapitaleWlasnym">
        <link:definition>07 - Sprawozdanie ze zmian w kapitale własnym</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/NotesAndMandatoryItems">
        <link:definition>08 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://satisgroupsa.pl/xbrl/2023/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="satisgroup_RevenueFromSaleOfGoodsAndRenderingOfServices" xbrli:balance="credit" xbrli:periodType="duration" name="RevenueFromSaleOfGoodsAndRenderingOfServices" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_RevenueFromSaleOfMerchandises" xbrli:balance="credit" xbrli:periodType="duration" name="RevenueFromSaleOfMerchandises" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_CostsOfGoodsSoldAndServicesRendered" xbrli:balance="debit" xbrli:periodType="duration" name="CostsOfGoodsSoldAndServicesRendered" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_ProfitLossFromSales" xbrli:balance="credit" xbrli:periodType="duration" name="ProfitLossFromSales" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_GainLossesOnDisposalsOfReceivables" xbrli:balance="credit" xbrli:periodType="duration" name="GainLossesOnDisposalsOfReceivables" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_OtherInflowsOfCashClassifiedAsOperatingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="OtherInflowsOfCashClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_OtherOutflowsOfCashClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="OtherOutflowsOfCashClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_InflowsOfCashFromFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="InflowsOfCashFromFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_OtherInflowsOfCashClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="OtherInflowsOfCashClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_OutflowsOfCashFromFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="OutflowsOfCashFromFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_OtherOutflowsOfCashClassifiedAsFinancingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="OtherOutflowsOfCashClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_NetProfitMember" xbrli:periodType="duration" abstract="true" name="NetProfitMember" nillable="true" substitutionGroup="xbrli:item" type="dtr-types:domainItemType" />
  <xs:element id="satisgroup_ImpairmentOffIssuedCapital" xbrli:balance="debit" xbrli:periodType="duration" name="ImpairmentOffIssuedCapital" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="satisgroup_Other" xbrli:balance="credit" xbrli:periodType="duration" name="Other" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
</xs:schema>